GET
/settings/checkout-featuresReturns the checkout feature settings for your account.
Includes whether discount codes (discounts_enabled), the marketing consent checkbox (audience_opt_in), and saved payment methods (saved_payment_methods_enabled) are enabled at checkout.
Requires
checkout_settings.read permission.Response (200)
dataobjectrequired
Represents the checkout feature settings for your account.
discounts_enabledbooleanrequired
Whether customers can enter discount codes at checkout.
audience_opt_instringrequired
Whether the marketing consent checkbox is shown at checkout.
Values
neverDon't show the marketing consent checkbox at checkout.choiceShow the marketing consent checkbox at checkout, unchecked by default.
saved_payment_methods_enabledbooleanrequired
Whether customers can save payment methods at checkout for future purchases.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "discounts_enabled": true, "audience_opt_in": "choice", "saved_payment_methods_enabled": true }, "meta": { "request_id": "8f6e6c8e-6f2b-4b1c-9b2b-6f5e9e2b5e2b" }}